using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.Navigation
{
    public interface IMiddleLableRepository : IRepository
    {
        Task<Entity.Navigations.MiddleLable> GetAsync(int id);
        Task<bool> DeleteAsync(int id);

        Task<int> InsertAsync(Entity.Navigations.MiddleLable note);

        Task<bool> UpdateAsync(Entity.Navigations.MiddleLable note);
        Task<bool> UpdateAsync(SqlKata.Query query);

        Task<IEnumerable<Entity.Navigations.MiddleLable>> GetAllAsync();

    }
}